Bug 844276 - Destroying an old existing application will hit "Could not destroy all gears of application." error after server upgrade
Destroying an old existing application will hit "Could not destroy all gears ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 03:53 EDT by Jianwei Hou
Modified: 2015-05-14 22:02 EDT (History)
0 users

See Also:
Fixed In Version: devenv_1922
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
development.log (63.83 KB, text/x-log)
2012-07-30 03:53 EDT, Jianwei Hou
no flags Details

  None (edit)
Description Jianwei Hou 2012-07-30 03:53:25 EDT
Created attachment 601140 [details]
development.log

Description of problem:
After upgrade and migrate, try to destroy an old existing application will hit the error "Could not destroy all gears of application."

Version-Release number of selected component (if applicable):
on devenv-stage_226

How reproducible:
always

Steps to Reproduce:
1.Launch an old instance, currently devenv-stage_226
2.Prepare user account and applications before upgrade, set vip for user
3.ssh into devenv, upgrade to latest
  yum update
4.git clone git@github.com:openshift/li.git
  cd li/misc/maintenance/bin
  ./migrate-mongo-2.0.15
5.rhc-admin-migrate --version 2.0.15
6.On client, try to destroy an application 
  rhc app destroy -a php1s
  
Actual results:
RESULT:
Could not destroy all gears of application.


Expected results:
application should be destroyed without errors.

Additional info:
I have added /var/www/stickshift/broker/log/development.log as attachment.
Comment 1 Jianwei Hou 2012-07-30 05:28:17 EDT
All applications are running, and their websites can be accessed.
Cartridges for these applications can be removed.
Even git push can be done against these applications.
But when trying to destroy them, the "Could not destroy all gears of application." error is returned

Create new applications and then destroy them, the operation was successful. This problem exists only when upgrade from an older instance
Comment 2 Jianwei Hou 2012-07-31 01:49:10 EDT
Verified on devevn_1922

Steps:
1.Launch a old instance, currently devenv-stage_226
2.Create applications before upprade
3.Upgrade and migrate
  yum update
  git clone git@github.com:openshift/li.git
  cd li/misc/maintenance/bin
  ./migrate-mongo-2.0.15
  rhc-admin-migrate --version 2.0.15
4.Destroy an old existing application
  rhc app destroy -a php1

Result:
Old existing application is destroyed successfully.

Note You need to log in before you can comment on or make changes to this bug.